import commonLogic from '@/locale/logic/common/common-logic';

function getLocaleResourceBase(){
	const data:any = {
	fields: {
		ibizsample0021id: commonLogic.appcommonhandle("订单标识",null),
		createman: commonLogic.appcommonhandle("建立人",null),
		createdate: commonLogic.appcommonhandle("建立时间",null),
		ibizsample0021name: commonLogic.appcommonhandle("订单名称",null),
		updateman: commonLogic.appcommonhandle("更新人",null),
		updatedate: commonLogic.appcommonhandle("更新时间",null),
		orderstate: commonLogic.appcommonhandle("订单状态",null),
		ordertime: commonLogic.appcommonhandle("订单时间",null),
		memo: commonLogic.appcommonhandle("备注",null),
		curorgid: commonLogic.appcommonhandle("CURORGID",null),
		curdeptid: commonLogic.appcommonhandle("CURDEPTID",null),
		amount: commonLogic.appcommonhandle("总计",null),
	},
		views: {
			wfdynaexpgridview: {
				caption: commonLogic.appcommonhandle("订单",null),
				title: commonLogic.appcommonhandle("订单工作流导航表格视图",null),
			},
			wfdynaeditview: {
				caption: commonLogic.appcommonhandle("订单",null),
				title: commonLogic.appcommonhandle("订单工作流编辑视图",null),
			},
			gridview: {
				caption: commonLogic.appcommonhandle("订单",null),
				title: commonLogic.appcommonhandle("订单表格视图",null),
			},
			editview: {
				caption: commonLogic.appcommonhandle("订单",null),
				title: commonLogic.appcommonhandle("订单编辑视图",null),
			},
			wfdynaactionview: {
				caption: commonLogic.appcommonhandle("订单工作流动态操作视图",null),
				title: commonLogic.appcommonhandle("订单工作流动态操作视图",null),
			},
		},
		main_form: {
			details: {
				group1: commonLogic.appcommonhandle("订单基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				group2: commonLogic.appcommonhandle("操作信息",null), 
				formpage2: commonLogic.appcommonhandle("其它",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("订单标识",null), 
				srfmajortext: commonLogic.appcommonhandle("订单名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				ibizsample0021name: commonLogic.appcommonhandle("订单名称",null), 
				ordertime: commonLogic.appcommonhandle("订单时间",null), 
				memo: commonLogic.appcommonhandle("备注",null), 
				curorgid: commonLogic.appcommonhandle("CURORGID",null), 
				curdeptid: commonLogic.appcommonhandle("CURDEPTID",null), 
				createman: commonLogic.appcommonhandle("建立人",null), 
				createdate: commonLogic.appcommonhandle("建立时间",null), 
				updateman: commonLogic.appcommonhandle("更新人",null), 
				updatedate: commonLogic.appcommonhandle("更新时间",null), 
				ibizsample0021id: commonLogic.appcommonhandle("订单标识",null), 
			},
			uiactions: {
			},
		},
		operationform_form: {
			details: {
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("订单标识",null), 
				srfmajortext: commonLogic.appcommonhandle("订单名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				ibizsample0021name: commonLogic.appcommonhandle("订单名称",null), 
				approvalopinions: commonLogic.appcommonhandle("审批意见",null), 
				ibizsample0021id: commonLogic.appcommonhandle("订单标识",null), 
			},
			uiactions: {
			},
		},
		main_grid: {
			columns: {
				ibizsample0021name: commonLogic.appcommonhandle("订单名称",null),
				ordertime: commonLogic.appcommonhandle("订单时间",null),
				orderstate: commonLogic.appcommonhandle("订单状态",null),
				memo: commonLogic.appcommonhandle("备注",null),
				updateman: commonLogic.appcommonhandle("更新人",null),
				updatedate: commonLogic.appcommonhandle("更新时间",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		default_searchform: {
			details: {
				formpage1: commonLogic.appcommonhandle("常规条件",null), 
			},
			uiactions: {
			},
		},
		gridviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("刷新",null),
				tip: commonLogic.appcommonhandle("刷新",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("Copy",null),
				tip: commonLogic.appcommonhandle("Copy {0}",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("Export",null),
				tip: commonLogic.appcommonhandle("Export {0} Data To Excel",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("Export Data Model",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
		},
		editviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("Save And Close",null),
				tip: commonLogic.appcommonhandle("Save And Close Window",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("Start workflow",null),
				tip: commonLogic.appcommonhandle("Start workflow",null),
			},
		},
		wfdynaexpgridviewtoolbar_toolbar: {
			tbitem19: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			tbitem22: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem11: {
				caption: commonLogic.appcommonhandle("Export",null),
				tip: commonLogic.appcommonhandle("Export {0} Data To Excel",null),
			},
		},
		wfdynaeditviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("Save And Close",null),
				tip: commonLogic.appcommonhandle("Save And Close Window",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("Start workflow",null),
				tip: commonLogic.appcommonhandle("Start workflow",null),
			},
		},
	};
	return data;
}

export default getLocaleResourceBase;